<template>
  <div class="patentData">
    <div class="patentData-collection">
      <div class="header-patentDataCollection">
        <el-button type="info" @click="beginSync" size="mini" style="background: #81C260"
          >同步应用到系统</el-button
        >
        <span>{{ lastTime }}</span>
        <el-button  @click="refreshSync" size="mini" style="margin-left: 10px;"
        >刷新</el-button
        >
      </div>
      <div class="derived-list" v-if="false">
        <div><i class="el-icon-search"></i><span>筛选查询</span></div>
        <el-button type="primary" size="mini" @click="handleQuery"
          >查询结果</el-button
        >
      </div>
      <el-form
        :model="queryParams"
        ref="queryForm"
        :inline="true"
        v-show="showSearch"
        class="yourForm"
        label-position="left"
        label-width="100px"
      >
      <el-form-item label="数据类型" prop="dataType">
        <el-select
          v-model="queryParams.dataType"
          placeholder="请选择数据类型"
        >
          <el-option label="有效" value="act"></el-option>
          <el-option label="授权" value="auth"></el-option>
          <el-option label="公开" value="pub"></el-option>
        </el-select>
      </el-form-item>
      <el-form-item label="当前州市" prop="appliCity">
          <el-select
            v-model="queryParams.appliCity"
            placeholder="请选择州市"
            clearable
            @change="search"
          >
            <el-option label="全部" :value="null"></el-option>
            <el-option
              v-for="region in regionOptions"
              :key="region.cityShortName"
              :label="region.cityShortName"
              :disabled="region.cityShortName == '云南省'"
              :value="region.name"
            />
            <el-option label="空值" :value="'null'"></el-option>
          </el-select>
        </el-form-item>
        <el-form-item label="当前区县" prop="appliCounty">
          <el-select
            v-model="queryParams.appliCounty"
            placeholder="请选择区县" @change="selcounty"
            clearable
            :disabled="opensb"
          >
            <el-option label="全部" :value="null"></el-option>
            <el-option
              v-for="item in ysDistrictCounty"
              :key="item.cityShortName"
              :label="item.cityShortName"
              :value="item.name"
            />
            <el-option label="空值" :value="'null'"></el-option>
            <el-option label="非本区划" :value="'notThisArea'"></el-option>
          </el-select>
        </el-form-item>


        <el-form-item label="" >
          <el-checkbox-group v-model="queryParams.cityAndAreaFlag"  @change="selcityAndAreaFlag">
            <el-checkbox
              label="只看当前州市、区县为空及非本区划数据"
              :key="1"
            ></el-checkbox>
          </el-checkbox-group>
        </el-form-item>

        <el-form-item label="" v-if="false">
          <el-checkbox-group v-model="queryParams.notThisAreaBool"  >
            <el-checkbox
              label="非本区划"
              :key="1"
            ></el-checkbox>
          </el-checkbox-group>
        </el-form-item>


        <el-form-item label="申请人类型" label-width="100px" prop="appliType">
          <el-select
            v-model="queryParams.appliType"
            placeholder="请选择申请人类型"
            clearable
          >
            <el-option label="全部" :value="null"></el-option>
            <el-option
              v-for="item in sqrTypeList"
              :key="item.code"
              :label="item.name"
              :value="item.code"
            >
            </el-option>
            <el-option label="空值" :value="'null'"></el-option>
          </el-select>
        </el-form-item>

        <el-form-item label="导入批次" prop="timeValue" >
          <el-date-picker
            v-model="queryParams.timeValue"
            type="month"
            @input="timeBV"
            value-format="yyyy-MM"
            clearable
          />
        </el-form-item>

        <el-form-item label="授权入库日" prop="authInboundDate"   >
          <el-date-picker
            v-model="queryParams.authInboundDate"
            type="month"
            value-format="yyyy-MM"
            clearable
          />
        </el-form-item>

        <el-form-item label="公告日" prop="pubDate" label-width="80">

            <el-date-picker
              v-model="queryParams.pubDate"
              type="date"
              value-format="yyyyMMdd" format="yyyyMMdd"
              clearable
            />
        </el-form-item>


        <el-form-item label="申请号" prop="appNumber">
          <el-input
            v-model="queryParams.appNumber"
            placeholder="请输入申请号"
            clearable
            size="small"
          />
        </el-form-item>
        <el-form-item label="申请人地址" prop="appliAddress">
          <el-input
            v-model="queryParams.appliAddress"
            placeholder="请输入申请人地址"
            clearable
            size="small"
            @keyup.enter.native="handleQuery"
          />
        </el-form-item>
        <span v-if="jopen">

        <el-form-item label="高价值类型" label-width="100px" prop="highValue">
          <el-select
            v-model="queryParams.highValue"
            placeholder="请选择高价值类型"
            clearable
          >
            <el-option label="全部" :value="null"></el-option>
            <el-option
              v-for="item in highValueList"
              :key="item.id"
              :label="item.name"
              :value="item.id"
            >
            </el-option>
            <el-option label="空值" :value="-1"></el-option>
          </el-select>
        </el-form-item>
        <el-form-item label="地址调整记录" prop="addressAdjustmentFlag">
          <el-select
            v-model="queryParams.addressAdjustmentFlag"
            placeholder="请选择地址调整记录"
            clearable
          >
            <el-option
              v-for="item in recordList"
              :key="item.value"
              :label="item.record"
              :value="item.value"
            />
          </el-select>
        </el-form-item>
        <!--
        <el-form-item
          label="申请人调整记录"
          prop="applyAdjustmentFlag"
          label-width="150"
        >
          <el-select
            v-model="queryParams.applyAdjustmentFlag"
            placeholder="请选择申请人调整记录"
            clearable
          >
            <el-option
              v-for="item in recordList"
              :key="item.value"
              :label="item.record"
              :value="item.value"
            />
          </el-select>
        </el-form-item>
        -->

        <!-- range-separator="至"
            start-placeholder="开始日期"
            end-placeholder="结束日期"
            format="yyyy-MM-dd"
            value-format="yyyy-MM-dd" -->

        <el-form-item label="专利类型" prop="patentType">
          <el-select
            v-model="queryParams.patentType"
            placeholder="请选择专利类型"
            clearable
          >
            <el-option
              v-for="item in patentType2"
              :key="item.id"
              :label="item.name"
              :value="item.id"
            />
          </el-select>
        </el-form-item>
        <!-- <el-form-item label="申请日" prop="appDate">
          <el-date-picker
            v-model="appDate"
            type="daterange"
            @input="appDateInput3"
            range-separator="至"
            start-placeholder="开始日期"
            end-placeholder="结束日期"
            format="yyyy-MM-dd"
            value-format="yyyy-MM-dd"
            clearable
          />
        </el-form-item> -->
        <!-- <el-form-item
          label="申请人调整时间"
          prop="appDate3"
          label-width="150px"
        >
          <el-date-picker
            v-model="appDate3"
            type="daterange"
            @input="appDateInput2"
            range-separator="至"
            start-placeholder="开始日期"
            end-placeholder="结束日期"
            format="yyyy-MM-dd"
            value-format="yyyy-MM-dd"
            clearable
          />
        </el-form-item> -->
        <el-form-item label="地址调整时间" prop="appDate2">
          <el-date-picker
            v-model="appDate2"
            type="daterange"
            @input="appDateInput"
            range-separator="至"
            start-placeholder="开始日期"
            end-placeholder="结束日期"
            format="yyyy-MM-dd"
            value-format="yyyy-MM-dd"
            clearable
          />
        </el-form-item>
      </span>
        <!-- <el-form-item label="入库时间">
          <el-date-picker v-model="timeValue" type="daterange" @input="handleDate" range-separator="至"
            start-placeholder="开始日期" end-placeholder="结束日期" format="yyyy-MM-dd" value-format="yyyy-MM-dd" />
        </el-form-item> -->



        <el-form-item>
          <el-button
            type="primary"
            icon="el-icon-search"
            size="mini"
            @click="handleQuery"
            >搜索</el-button
          >
          <el-button icon="el-icon-refresh" size="mini" @click="resetQuery"
            >重置</el-button
          >
        </el-form-item>
        <el-form-item :label="zbcsbtitle" label-width="70px">
          <!-- 展开更多/收起更多 -->
          <el-switch
            v-model="jopen"
            active-color="#2A8EED"
            inactive-color="#909399"
            @change="zbcsbtitles">
          </el-switch>
        </el-form-item>
      </el-form>
      <div class="derived-list">
        <div>
          <Popover :visible="visible" :showColumnArr="showColumnArr" /><span
            >自定义表头</span
          >
        </div>

        <div style="display: flex;align-items: center;">
          <div style="margin-right: 10px;">总计：{{total}}条</div>
          <el-button
            type="info" style="background: #81C260"
            icon="el-icon-edit"
            size="mini"
            :disabled="single"
            @click="handleUpdate"
            v-hasPermi="['adjust:dPatentDataCollationInfo:edit']"
            >批量修改</el-button
          >
          <el-button type="primary" size="mini" @click="handleExports"
            >数据导出</el-button
          >

          <el-button type="primary" size="mini" @click="asynchExpManager"
          >异步导出管理</el-button
          >

        </div>
      </div>
      <el-table
        v-loading="loading"
        :data="dPatentDataCollationInfoList"
        @selection-change="handleSelectionChange"
        height="500px"
        class="sssTaber"
        style="width: 100%"
        :header-cell-style="{
          background: '#2a8eed',
          color: '#fafcfe',
          'text-align': 'center',
          position: 'sticky',
          top: '0',
          left: '0',
        }"
        border
      >
        <el-table-column type="selection" width="55" align="center" />
        <el-table-column
          v-if="show('id')"
          label="id"
          align="center"
          prop="id"
        />
        <el-table-column
          v-if="show('dataTypeStr')"
          label="数据类型"
          align="center"
          prop="dataTypeStr"
        />
        <el-table-column
          v-if="show('appNumber')"
          label="申请号"
          align="center"
          prop="appNumber"
        />
        <el-table-column
          v-if="show('appDate')"
          label="申请日"
          align="center"
          prop="appDate"
        />
        <!--
        <el-table-column
          v-if="show('appli')"
          label="第一申请人（或专利权人）"
          align="center"
          prop="appli"
        />-->
        <el-table-column
          v-if="show('patenteeName')"
          label="专利权人名称"
          align="center"
          prop="patenteeName"
        />
        <el-table-column
          v-if="show('appliTypeSrc')"
          label="专利权人类型"
          align="center"
          prop="appliTypeSrc"
        />
        <!-- <el-table-column
          v-if="show('appliType')"
          label="申请人类型"
          align="center"
          prop="appliType"
        />
        <el-table-column
          v-if="show('appliAddress')"
          label="申请人地址（专利权人地址）"
          align="center"
          prop="appliAddress"
        /> -->
        <el-table-column
          v-if="show('appliAddress')"
          :label="appliAddressTitle"
          align="center"
          prop="appliAddress"
        />
        <el-table-column
          v-if="show('appliProvince')"
          label="省份（原始）"
          align="center"
          prop="appliProvince"
        />
        <el-table-column
          v-if="show('appliCity')"
          label="州市（原始）"
          align="center"
          prop="appliCity"
        />
        <el-table-column
          v-if="show('appliCounty')"
          label="区县（原始）"
          align="center"
          prop="appliCounty"
        />
        <el-table-column
          v-if="show('modifyAppliProvince')"
          label="省份"
          align="center"
          prop="modifyAppliProvince"
        />
        <el-table-column
          v-if="show('modifyAppliCity')"
          label="州市"
          align="center"
          prop="modifyAppliCity"
        />
        <el-table-column
          v-if="show('modifyAppliCounty')"
          label="区县"
          align="center"
          prop="modifyAppliCounty"
        />


        <el-table-column
          v-if="show('patenteePostcode')"
          label="专利权人邮编"
          align="center"
          prop="patenteePostcode"
        />
        <el-table-column
          v-if="show('agencyName')"
          label="代理机构"
          align="center"
          prop="agencyName"
        />
        <el-table-column
          v-if="show('agencyCode')"
          label="代理机构代码"
          align="center"
          prop="agencyCode"
        />
        <!-- <el-table-column
          v-if="show('highValue')"
          label="高价值类型（出版社）"
          align="center"
          prop="highValue"
        /> -->
        <el-table-column
          v-if="show('highValue')"
          label="高价值类型（出版社）"
          align="center"
          prop="highValue"
        >
          <template slot-scope="scope">
            <div>
              {{ scope.row.highValueStr}}
            </div>
          </template>
        </el-table-column>
        <!--
        <el-table-column
          v-if="show('createMonth')"
          label="入库时间"
          align="center"
          prop="createMonth"
        />-->
        <el-table-column
          v-if="show('authInboundDate')"
          label="授权入库日"
          align="center"
          prop="authInboundDate"
        />
        <el-table-column
          v-if="show('addressAdjustmentTime')"
          label="地址调整时间"
          align="center"
          prop="addressAdjustmentTime"
        />
        <!-- <el-table-column
          v-if="show('applyAdjustmentTime')"
          label="申请人调整时间"
          align="center"
          prop="applyAdjustmentTime"
        /> -->
        <el-table-column
          v-if="show('title')"
          label="专利名称"
          align="center"
          prop="title"
        />
        <el-table-column
          v-if="show('pubDate')"
          label="公告日"
          align="center"
          prop="pubDate"
        />
        <el-table-column
          v-if="show('currPatentStatus')"
          label="当前专利状态"
          align="center"
          prop="currPatentStatus"
        >
          <template slot-scope="scope">
            <span>{{
              scope.row.currPatentStatus == "10"
                ? "有效"
                : scope.row.currPatentStatus == "30"
                ? "公开"
                : "无效"
            }}</span>
          </template>
        </el-table-column>
        <el-table-column
          v-if="show('currPatentHolder')"
          label="当前权利人"
          align="center"
          prop="currPatentHolder"
        />
        <el-table-column
          v-if="show('patentType')"
          label="专利类型"
          align="center"
          prop="patentType"
        >
          <template slot-scope="scope">
            <span>{{ getPatentType(scope.row.patentType) }}</span>
          </template>
        </el-table-column>
        <el-table-column
          v-if="show('ipcMain')"
          label="分类号（主IPC）"
          align="center"
          prop="ipcMain"
        />
        <el-table-column
          v-if="show('locStr')"
          label="分类号（洛迦诺）"
          align="center"
          prop="locStr"
        />
        <el-table-column
          v-if="show('nationalEcoStr')"
          label="国民经济行业分类"
          align="center"
          prop="nationalEcoStr"
        />
        <el-table-column
          v-if="show('patTranCounts')"
          label="专利转移次数"
          align="center"
          prop="patTranCounts"
        />
        <el-table-column
          v-if="show('appTranCounts')"
          label="申请权转移次数"
          align="center"
          prop="appTranCounts"
        />
        <el-table-column
          v-if="show('licCounts')"
          label="许可发生次数"
          align="center"
          prop="licCounts"
        />
        <el-table-column
          v-if="show('pleCounts')"
          label="质押发生次数"
          align="center"
          prop="pleCounts"
        />
        <el-table-column
          v-if="show('preCounts')"
          label="保全发生次数"
          align="center"
          prop="preCounts"
        />
        <el-table-column
          v-if="show('curtCounts')"
          label="法院判决发生次数"
          align="center"
          prop="curtCounts"
        />

        <el-table-column
          v-if="false"
          label="状态"
          align="center"
          prop="status"
        />

        <el-table-column
          label="操作"
          class-name="small-padding fixed-width"
          width="120"
        >
          <template slot-scope="scope">
            <el-button
              size="mini"
              type="text"
              icon="el-icon-edit"
              @click="handleUpdateAdjaddress(scope.row)"
              v-hasPermi="['adjust:dPatentDataCollationInfo:edit']"
              >地址调整</el-button
            >
            <!--
            <br />
            <el-button
              size="mini"
              type="text"
              icon="el-icon-edit"
              @click="handleUpdateAdjtype(scope.row)"
              v-hasPermi="['adjust:dPatentDataCollationInfo:edit']"
              >申请人类型调整</el-button
            >-->
          </template>
        </el-table-column>
      </el-table>
      <pagination
        v-show="total > 0"
        :total="total"
        :page.sync="queryParams.pageNum"
        :limit.sync="queryParams.pageSize"
        @pagination="getList"
      />
      <el-dialog :title="title" :visible.sync="adjaddress" append-to-body width="1250px">
        <el-form
          ref="form"
          :model="form"
          :rules="rules"
          label-width="150px"
          class="yourForm"
        >
        <div v-if="title == '调整专利数据地址'">
            <div style="width: 100%;height: 100%;background-color: #EAF7FF;">
              <el-row>
                <el-col :span="4">
                  <el-form-item label="原始省/自治区" prop="appliProvince" >
                    <span>{{ form.appliProvince }}</span
                    >
                  </el-form-item>
                </el-col>
                <el-col :span="4">
                  <el-form-item label="原始市/州" prop="appliCity">
                    <span>{{ form.appliCity }}</span
                    >
                  </el-form-item>
                </el-col>
                <el-col :span="4">
                  <el-form-item label="原始区/县" prop="appliCounty">
                    <span>{{form.appliCounty}}</span
                    >
                  </el-form-item>
                </el-col>
                <el-col :span="12">
                  <el-form-item label="统计地址" prop="appliAddress">
                    <span>{{form.appliAddress}}</span
                    >
                  </el-form-item>
                </el-col>
              </el-row>
              <el-row>
                <el-col :span="4">
                  <el-form-item label="最新省/自治区" prop="modifyAppliProvinceCode">
                    <span>{{ form.modifyCownerProvinceCode='53'?'云南省':'' }}</span
                    >
                  </el-form-item>
                </el-col>
                <el-col :span="4">
                  <el-form-item label="最新市/州" prop="modifyAppliCityName">
                    <span>{{ form.modifyCownerCity }}</span
                    >
                  </el-form-item>
                </el-col>
                <el-col :span="4">
                  <el-form-item label="最新区/县" prop="modifyAppliCountyName">
                    <span>{{form.modifyCownerCounty}}</span
                    >
                  </el-form-item>
                </el-col>
                <el-col :span="12" >
                  <el-form-item label="最新申请/专利权人地址" prop="modifyCownerAddress" label-width="165">
                    <span>{{form.modifyCownerAddress}}</span
                    >
                  </el-form-item>
                </el-col>
              </el-row>
            </div>
            <el-row>
              <el-col :span="12">
                <el-form-item label="申请日" prop="appDate">
                  <span>{{ form.appDate }}</span>
                </el-form-item>
              </el-col>
              <el-col :span="12">
                <el-form-item label="申请号" prop="appNumber">
                  <span>{{ form.appNumber }}</span>
                </el-form-item>
              </el-col>
            </el-row>
          </div>
          <el-row v-if="title !== '修改专利数据整理'">
            <el-col :span="12">
              <el-form-item label="专利名称" prop="title">
                <span>{{ form.title }}</span>
              </el-form-item>
            </el-col>
            <el-col :span="12">
              <el-form-item
                label="申请人地址"
                prop="appliAddress"
                v-if="title == '调整专利数据地址'"
              >
                <span>{{ form.modifyAppliAddress }}</span>
              </el-form-item>
              <el-form-item
                label="申请人类型(原始)"
                prop="appliTypeSrc"
                v-else
              >
                <span>{{ form.appliTypeSrc }}</span>
              </el-form-item>
            </el-col>
          </el-row>

          <!-- <el-form-item
            label="申请人类型"
            prop="appliType"
            v-if="title == '调整专利申请人类型' || title == '修改专利数据整理'"
          >
            <el-select
              v-model="form.appliType"
              placeholder="请选择申请人类型"
              clearable
            >
              <el-option
                v-for="item in sqrTypeList"
                :key="item.code"
                :label="item.name"
                :value="item.code"
              >
              </el-option>
            </el-select>
          </el-form-item> -->
          <el-form-item
            label="省市区"
            prop="agencyName"
            v-if="title == '调整专利数据地址' || title == '修改专利数据整理'"
          >
            <el-cascader
              v-model="form.municipalities"
              ref="refSubCat"
              style="width: 100%"
              placeholder="请选择省市区"
              :props="SSQProps"
              :options="activeList2"
              @change="cascaderSSQChange2"
            ></el-cascader>
          </el-form-item>
          <el-checkbox
            v-if="title == '调整专利数据地址'"
            v-model="form.sameFalg"
            style="margin: 0 30px"
            >同步更新所有"申请人地址"相同的其他专利省市区信息</el-checkbox
          >
          <!-- 调整专利申请人类型 -->
          <div v-if="title == '调整专利申请人类型'">
            <el-form-item label="第一申请人（原始）" prop="appli">
              <span>{{ form.appli }}</span>
            </el-form-item>
            <el-checkbox v-model="form.sameFalg" style="margin: 0 30px"
              >同步更新相同"第一申请人"的其他专利的申请人类型</el-checkbox
            >
          </div>
        </el-form>
        <div slot="footer" class="dialog-footer">
          <el-button type="primary" @click="submitFormAdjaddress"
            >保 存</el-button
          >
          <el-button @click="cancel">关 闭</el-button>
        </div>
      </el-dialog>

      <el-dialog
        title="批量导出"
        :visible.sync="adjaddressb"
        append-to-body
        @close="adjaddressb = false"
        width="500px"
      >
        <el-form
          ref="form"
          :model="form"
          :rules="rules"
          label-width="100px"
          class="yourForm"
        >
          <div class="dia">筛选结果 共计 {{ this.total }}条</div>
          <div class="dia">快捷导出单次上限10000条，后台异步导出无上限，请填写导出范围。</div>
          <el-form-item label="开始:" prop="exportNumBegin">
            <el-input
              v-model="exportNumBegin"
              placeholder="请输入开始条数"
            />
          </el-form-item>
          <el-form-item label="结束:" prop="exportNumEnd">
            <el-input
              v-model="exportNumEnd"
              placeholder="请输入结束条数"
            />
          </el-form-item>
        </el-form>
        <div slot="footer" class="dialog-footer">
          <el-button @click="handleExport">快捷导出</el-button>

          <el-button type="primary" @click="handleSyncExport">后台异步导出</el-button>
          <el-button @click="cancel">关 闭</el-button>
        </div>
      </el-dialog>
    </div>
  </div>
</template>

<script>
function dateIn(date) {
  let n = date.getFullYear();
  let y = date.getMonth() + 1;
  y = y < 10 ? `0${y}` : y;
  let r = date.getDate();
  return `${n}-${y}`;
}
import {
  getLastTime,
  doSync,doRefresh,
  listDPatentDataCollationInfo,
  getDPatentDataCollationInfo,
  delDPatentDataCollationInfo,
  addDPatentDataCollationInfo,
  updateDPatentDataCollationInfo,
  updateDPatentDataCollationInfoZhong,
  syncExport,getPubInfo
} from "@/api/adjust/dPatentDataCollationInfo";
import {
  listUrPatentValid,
  getHeaderList,
  getRegionList,
} from "@/api/system/urPatentValid";
import { getYearList } from "@/api/report/rzlInventStatisticsInfo";
import chinaSSQ from "./chinaSSQ";
import {
  getApplicantTypes,
  getHighValues,
  getPatentType,
  getPatentType2
} from "@/api/staticdata.js";

import Popover from "@/components/Popover";
import popoverData from "./mixis/popoverData";

export default {
  name: "DPatentDataCollationInfo",
  components: { Popover },
  mixins: [popoverData],

  data() {
    return {
      appliAddressTitleOther:'统计地址',
      appliAddressTitle:'统计地址',
      appliAddressTitlePub:'申请人地址(专利权人地址)',
      // 遮罩层
      loading: true,
      // 选中数组
      ids: [],
      yearList: [],
      // 非单个禁用
      single: true,
      // 非多个禁用
      jopen:false,
      multiple: true,
      // 显示搜索条件
      showSearch: true,
      // 总条数
      total: 0,
      timeValue: null,
      appDate: null,
      appDate2: null,
      appDate3: null,
      // 专利数据整理表格数据
      dPatentDataCollationInfoList: [],
      cityAndAreaFlag: false,
      // 弹出层标题
      title: "",
      // 是否显示弹出层
      open: false,
      adjaddress: false,
      adjaddressb: false,
      activeList: [],
      // 需要只选择云南把chinaSSQ换成[]，选择全部设置成chinaSSQ
      activeList2: [],
      // 查询参数
      queryParams: {
        cityAndAreaFlag: false,
        authInboundDate:null,
        pageNum: 1,
        pageSize: 10,
        appNumber: null,
        appDate: null,
        appli: null,
        appliTypeSrcStr: null,
        appliType: null,
        appliAddress: null,
        appliProvince: null,
        appliCity: null,
        pubDate:null,
        appliCounty: null,
        modifyAppliProvince: null,
        modifyAppliCity: null,
        modifyAppliCounty: null,
        highValue: null,
        createMonth: null,
        addressAdjustmentTime: null,
        applyAdjustmentTime: null,
        title: null,
        pubNumber: null,
        currPatentStatus: null,
        currPatentHolder: null,
        patentType: null,
        ipcMain: null,
        locStr: null,
        nationalEcoStr: null,
        patTranCounts: null,
        appTranCounts: null,
        licCounts: null,
        pleCounts: null,
        preCounts: null,
        curtCounts: null,
        agencyName: null,
        status: null,
        adjustFlag: null,
        expFields: null,
        exportFlag: false,
        notThisArea: '0',
        notThisAreaBool: false,
        timeValue: null,
        dataType:'act',
      },
      adjustTitle: "全部",
      // 表单参数
      form: { patentDataList: [] },
      // 表单校验
      rules: {},
      times: "",
      lastTime: "",
      regionOptions: {},
      SSQProps: { label: "name", value: "code", children: "areaList" },
      sqrTypeList: [],
      dateRange: "",
      tablesetOpen: false,
      opensb: false,
      ysDistrictCounty: [],
      recordList: [
        {
          value: 1,
          record: "全部",
        },
        {
          value: 2,
          record: "有",
        },
        {
          value: 3,
          record: "无",
        },
      ],
      activityRegs: [],
      activityRegs2: [],
      activityRegs3: [],
      activityRegs4: [],
      patentDataList2: [],
      patentDataList3: "",
      appli: "",
      exportNumBegin: null,
      exportNumEnd: null,
      activesbList:[],
      activesbList1:[],
      activesbList2:[],
      modifyAppliCityName:null,
      modifyAppliCountyName:null,
      zbcsbtitle:'展开更多'
    };
  },
  created() {
    this.sqrTypeList = getApplicantTypes();
    this.highValueList = getHighValues();
    this.patentType2 = getPatentType2();
    this.getLastTime();
    this.getList();
    this.getRegion();
    this.cascaderSSQChange();
    this.getYear();
    if (this.ysDistrictCounty > 0) {
      this.opensb = false;
    } else {
      this.opensb = true;
    }
    this.activeJson()
  },
  methods: {
    getPatentType,
    zbcsbtitles(e){
      console.log(e,'sdahsgdjahgdssa');
      if(e){
        this.zbcsbtitle = '收起更多'
      }else{
        this.zbcsbtitle = '展开更多'
      }
    },
    activeJson(){
      chinaSSQ.forEach((item) =>{
        if (item.code == 53) {
            this.activesbList = item.areaList.map(item1 =>({
              code:item1.code,
              name:item1.name
            }))
            item.areaList.forEach((item) =>{
              this.activesbList1 = [...this.activesbList1,...item.areaList]
            })
          }
      })
    },
    dianjiNotThisArea(e) {
      if(e){
       this.queryParams.notThisArea = '1';
      }else{
        this.queryParams.notThisArea = '0';
      }
      // console.log(this.queryParams.notThisArea,'eeee');

    },
    selcityAndAreaFlag(e){
      if(e){
        this.queryParams.appliCity='null';
        this.opensb = true;
        this.queryParams.appliCounty = null;
      }else{
        this.queryParams.appliCity=null;
      }
    },
    selcounty(e){
      console.log('选择:'+e);
      if('notThisArea'==e){
        this.cityAndAreaFlag=false;
        this.queryParams.cityAndAreaFlag=false;
      }else if('null'==e) {
        this.cityAndAreaFlag=true;
        //this.queryParams.cityAndAreaFlag=true;
        this.queryParams.cityAndAreaFlag=false;
      }else{
        this.cityAndAreaFlag=false;
        this.queryParams.cityAndAreaFlag=false;
      }
    },
    timeBV(e) {
      // console.log(e);
    },
    /** 获取查询年份列表 */
    getYear() {
      getYearList().then((response) => {
        this.yearList = response.data;
      });
    },
    getSync(val) {
      // console.log(val, "appliTypeSt");
      if (val == 1) {
        return "战略性新兴产业";
      } else if (val == 2) {
        return "维持年限超10年";
      } else if (val == 3) {
        return "在海外有同族专利权";
      } else if (val == 4) {
        return "获得较高质押融资金额";
      } else if (val == 5) {
        return "获得国家科技奖或中国专利奖";
      }
    },
    handleDate(e) {
      this.$nextTick(() => {
        if (e == null) {
          this.queryParams.createTimeBegin = null;
          this.queryParams.createTimeEnd = null;
        } else {
          this.$set(this, "activityRegs", [e[0], e[1]]);
          console.log();
          this.queryParams.createTimeBegin = this.activityRegs[0];
          this.queryParams.createTimeEnd = this.activityRegs[1];
        }
      });
    },
    appDateInput(e) {
      this.$nextTick(() => {
        if (e == null) {
          this.queryParams.addressAdjustmentTimeBegin = null;
          this.queryParams.addressAdjustmentTimeEnd = null;
        } else {
          this.$set(this, "activityRegs2", [e[0], e[1]]);
          this.queryParams.addressAdjustmentTimeBegin =
            this.activityRegs2[0] + " " + "00:00:00";
          this.queryParams.addressAdjustmentTimeEnd =
            this.activityRegs2[1] + " " + "23:59:59";
        }
      });
    },
    appDateInput3(e) {
      this.$nextTick(() => {
        if (e == null) {
          this.queryParams.appDateBegin = null;
          this.queryParams.appDateEnd = null;
        } else {
          this.$set(this, "activityRegs4", [e[0], e[1]]);
          this.queryParams.appDateBegin =
            this.activityRegs4[0] + " " + "00:00:00";
          this.queryParams.appDateEnd =
            this.activityRegs4[1] + " " + "23:59:59";
        }
      });
    },
    appDateInput2(e) {
      this.$nextTick(() => {
        if (e == null) {
          this.queryParams.applyAdjustmentTimeBegin = null;
          this.queryParams.applyAdjustmentTimeEnd = null;
        } else {
          this.$set(this, "activityRegs3", [e[0], e[1]]);
          this.queryParams.applyAdjustmentTimeBegin =this.activityRegs3[0] + " " + "00:00:00";
          this.queryParams.applyAdjustmentTimeEnd =this.activityRegs3[1] + " " + "23:59:59";
        }
      });
    },
    cascaderSSQChange(val) {
      chinaSSQ.forEach((item) => {
        if (item.code == 53) {
          this.activeList = item.areaList;

        }
      });
      let activeb = [
        {
          code: "53",
          level: 0,
          name: "云南省",
          areaList: this.activeList,
        },
      ];
      this.activeList2 = [...this.activeList2, ...activeb];
      // console.log(this.activeList2, "this.activeList2");
    },
    cascaderSSQChange2(val) {},
    search(q) {
      // console.log(q);
      if (q == null || q == "null") {
        this.opensb = true;
        this.queryParams.appliCounty = null;
      } else {
        this.queryParams.appliCounty = "";
        this.regionOptions.forEach((item) => {
          if (q == item.cityName) {
            this.ysDistrictCounty = item.areaList;
            this.opensb = false;
          }
        });
      }
    },
    /** 获取省市列表 */
    getRegion() {
      let params = {};
      getRegionList(params).then((response) => {
        // console.log(response.data);
        this.regionOptions = response.data;
      });
    },
    iscityChange(val) {
      let arr = this.regionOptions.find(
        (item) => item.name == "云南省"
      ).areaList;
      // console.log(obj);
    },
    getTimes() {
      this.getDaytTime();
    },
    getLastTime() {
      getLastTime(this.queryParams).then((response) => {
        this.lastTime = response.data;
      });
    },

    refreshSync() {
  this.loading = true;
  doRefresh(this.queryParams).then((response) => {
    this.lastTime = response.data;
    this.loading = false;
  });
},
    beginSync() {
      this.loading = true;
      doSync(this.queryParams).then((response) => {
        let msg= response.data.syncMsg;
        let res= response.data.syncRes;
        // if(res!='200'){
        //   console.log('同步失败鸟。。。')
        //   Message({
        //     message: msg,
        //     type: 'error',
        //     duration: 5 * 1000
        //   })
        // }else{
        //   this.lastTime = response.data.syncMsg;
        // }
        this.lastTime = response.data.syncMsg;
        this.loading = false;
      });
    },
    /** 查询专利数据整理列表 */
    getDaytTime() {
      //var _this = this
      //let yy = new Date().getFullYear()
      //let mm = new Date().getMonth() + 1
      //let dd = new Date().getDate()
      //let hh = new Date().getHours()
      //let mf = new Date().getMinutes() < 10 ? '0' + new Date().getMinutes() : new Date().getMinutes()
      // let ss = new Date().getSeconds() < 10 ? '0' + new Date().getSeconds() : new Date().getSeconds()
      //_this.times = yy + '-' + mm + '-' + dd + ' ' + hh + ':' + mf + ':' + ss
    },
    getList() {
      this.loading = true;
      // console.log(this.queryParams.timeValue);
      if(this.queryParams.notThisAreaBool){
        this.queryParams.notThisArea='1';
      }
      let that=this;
      listDPatentDataCollationInfo(this.queryParams).then((response) => {
        if(that.queryParams.dataType=='pub'){
          that.appliAddressTitle=that.appliAddressTitlePub;
        }else{
          that.appliAddressTitle=that.appliAddressTitleOther;
        }
        this.dPatentDataCollationInfoList = response.rows;
        this.total = response.total;
        this.loading = false;
      });
    },
    // 取消按钮
    cancel() {
      this.exportNumBegin = null
      this.exportNumEnd = null
      this.open = false;
      this.adjaddress = false;
      this.adjaddressb = false;
      this.reset();
    },
    // 表单重置
    reset() {
      this.form = {
        id: null,
        dataType: null,
        appNumber: null,
        appDate: null,
        appli: null,
        appliTypeSrcStr: null,
        appliType: null,
        appliAddress: null,
        appliProvince: null,
        appliCity: null,
        appliCounty: null,
        modifyAppliProvince: null,
        modifyAppliCity: null,
        modifyAppliCounty: null,
        highValue: null,
        createMonth: null,
        addressAdjustmentTime: null,
        applyAdjustmentTime: null,
        title: null,
        pubNumber: null,
        currPatentStatus: "0",
        currPatentHolder: null,
        patentType: null,
        ipcMain: null,
        locStr: null,
        nationalEcoStr: null,
        patTranCounts: null,
        appTranCounts: null,
        licCounts: null,
        pleCounts: null,
        preCounts: null,
        curtCounts: null,
        agencyName: null,
        remark: null,
        delFlag: null,
        status: 0,
        createTime: null,
        createBy: null,
        updateTime: null,
        adjtype: null,

        cityAndAreaFlag: false,
      };
      this.resetForm("form");
    },
    /** 搜索按钮操作 */
    handleQuery() {
      this.queryParams.pageNum = 1;
      this.getList();
    },
    /** 重置按钮操作 */
    resetQuery() {
      this.queryParams.cityAndAreaFlag = false;
      this.cityAndAreaFlag = false;
      this.appDate = null;
      this.appDate2 = null;
      this.appDate3 = null;
      this.timeValue = null;
      this.queryParams.applyAdjustmentTimeEnd = null;
      this.queryParams.applyAdjustmentTimeBegin = null;
      this.queryParams.addressAdjustmentTimeEnd = null;
      this.queryParams.addressAdjustmentTimeBegin = null;
      this.queryParams.appDateEnd = null;
      this.queryParams.appDateBegin = null;
      this.queryParams.createTimeBegin = null;
      this.queryParams.createTimeEnd = null;
      this.resetForm("queryForm");
      this.handleQuery();
    },
    // 多选框选中数据
    handleSelectionChange(selection) {
      this.queryParams.exportFlag = selection.length!=0;
      this.patentDataList2 = selection;
      // console.log(this.patentDataList2, "selection");
      this.ids = [];
      for (let i = 0; i < selection.length; i++) {
        let item = {
          id: selection[i].id,
          dataType: selection[i].dataType,
        };
        this.ids.push(item);
      }
      this.single = selection.length == 0;
    },
    /** 新增按钮操作 */
    handleAdd() {
      this.reset();
      this.open = true;
      this.title = "添加专利数据整理";
    },
    /** 修改按钮操作 */
    handleUpdate(row) {
      this.reset();
      this.title = "修改专利数据整理";
      this.adjaddress = true;
    },

    /** 修改按钮操作 */
    handleUpdateAdjaddress(row) {
      this.form = { ...row };
      // console.log(this.form);
      // let arr = this.form.map(item => ({
      //   appliProvinceCode: item.appliProvinceCode,
      //   appliCityCode: item.appliCityCode,
      //   appliCountyCode: item.appliCountyCode,
      // }));
      // console.log(arr);
      this.form.municipalities = [
        this.form.modifyAppliProvinceCode,
        this.form.modifyAppliCityCode,
        this.form.modifyAppliCountyCode,
      ];
      this.title = "调整专利数据地址";
      // this.form.municipalities = [modifyAppliProvince, modifyAppliCity, modifyAppliCounty]
      this.activesbList.forEach(item =>{
        if(this.form.modifyAppliCityCode == item.code){
      console.log(`${this.form.modifyAppliCityCode}---${item.code}`);
          this.modifyAppliCityName = item.name
          console.log(`${this.form.modifyAppliCityCode}---${item.code}`);
        }
      })
      this.activesbList1.forEach(item =>{
        if(this.form.modifyAppliCountyCode == item.code){
          this.modifyAppliCountyName = item.name
        }
      })

      // if('act'==row.dataType || 'auth'==row.dataType){
        if(row.appNumber){
          this.loading=true;
          console.log('准备通过申请号['+row.appNumber+']从公开数据中获取当前权利人地址')
          getPubInfo(row.appNumber).then(res =>{
            this.loading=false;
            this.form.modifyCownerAddress='';
            if(res && res.data && res.data.modifyCownerAddress){
              console.log('取到当前权限人地址:'+res.data.modifyCownerAddress);
              this.form.modifyCownerAddress=res.data.modifyCownerAddress;
            }
            if(res && res.data){
              if(res.data.modifyCownerProvinceCode){
                this.form.modifyCownerProvinceCode=res.data.modifyCownerProvinceCode;
              }
              if(res.data.modifyCownerCity){
                this.form.modifyCownerCity=res.data.modifyCownerCity;
              }
              if(res.data.modifyCownerCounty){
                this.form.modifyCownerCounty=res.data.modifyCownerCounty;
              }
            }
          },err=>{
            this.loading=false;
          })

        }

      // }

      this.adjaddress = true;
      // this.reset()
      // const id = row.id || this.ids
      // this.form.adjtype = 'addr'
      // getDPatentDataCollationInfo(id).then(response => {
      //   console.log(response);
      //   this.form = response.data
      //   this.form.municipalities = [row.modifyAppliProvince, row.modifyAppliCity, row.modifyAppliCounty]
      //   this.adjaddress = true
      //   this.title = "调整专利数据地址"
      // })
    },
    handleUpdateAdjtype(row) {
      this.form = { ...row };
      this.title = "调整专利申请人类型";
      this.adjaddress = true;
      // this.reset()
      // const id = row.id || this.ids
      // this.form.adjtype = 'type'
      // getDPatentDataCollationInfo(id).then(response => {
      //   this.form = response.data
      //   this.adjaddress = true
      //   this.title = "调整专利申请人类型"
      // })
    },

    /** 提交按钮 */
    submitForm() {
      this.$refs["form"].validate((valid) => {
        if (valid) {
          if (this.form.id != null) {
            updateDPatentDataCollationInfo(this.form).then((response) => {
              this.$modal.msgSuccess("修改成功");
              this.open = false;
              this.getList();
            });
          } else {
            addDPatentDataCollationInfo(this.form).then((response) => {
              this.$modal.msgSuccess("新增成功");
              this.open = false;
              this.getList();
            });
          }
        }
      });
    },
    getCity() {
      if (this.form.municipalities) {
        let cityLabel = this.$refs["refSubCat"].inputValue
          .split("/")
          .map((item) => item.trim());
        let newCity = this.$refs["refSubCat"].checkedValue;
        this.form.modifyAppliProvince = cityLabel[0];
        this.form.modifyAppliCity = cityLabel[1];
        this.form.modifyAppliCounty = cityLabel[2];
        this.form.modifyAppliProvinceCode = newCity[0];
        this.form.modifyAppliCityCode = newCity[1];
        this.form.modifyAppliCountyCode = newCity[2];
      }
    },
    submitFormAdjaddress() {
      this.$refs["form"].validate((valid) => {
        if (valid) {
          if (this.title == "调整专利数据地址") {
            // console.log("调整专利数据地址");
            this.getCity();
            this.form.adjtype = "addr";
            updateDPatentDataCollationInfo(this.form).then((response) => {
              this.$message({
                      message: `调整专利数据地址,共调整${response.data}条`,
                      type: 'success',
                      offset: window.screen.height / 2
                  });
              this.adjaddress = false;
              // this.adjtype = false
              this.getList();
            });
          } else if (this.title == "调整专利申请人类型") {
            // console.log("调整专利申请人类型");
            this.form.adjtype = "type";
            updateDPatentDataCollationInfo(this.form).then((response) => {
              this.$message({
                      message: `调整专利数据地址,共调整${response.data}条`,
                      type: 'success',
                      offset: window.screen.height / 2
                  });
              this.adjaddress = false;
              this.getList();
            });
          } else {
            // console.log("3333");
            if (!this.form.municipalities && !this.form.appliType) {
              this.$message("请修改任意一个");
            } else {
              this.form.patentDataList = this.ids;
              this.getCity();
              updateDPatentDataCollationInfoZhong(this.form).then(
                (response) => {
                  this.$message({
                      message: `调整专利数据地址,共调整${response.data}条`,
                      type: 'success',
                      offset: window.screen.height / 2
                  });
                  this.adjaddress = false;
                  this.getList();
                }
              );
            }
          }
        }
      });
    },
    /** 删除按钮操作 */
    handleDelete(row) {
      const ids = row.id || this.ids;
      this.$modal
        .confirm('是否确认删除专利数据整理编号为"' + ids + '"的数据项？')
        .then(function () {
          return delDPatentDataCollationInfo(ids);
        })
        .then(() => {
          this.getList();
          this.$modal.msgSuccess("删除成功");
        })
        .catch(() => {});
    },
    asynchExpManager(){
      let dt=this.queryParams.dataType;
      this.$router.push({
        path: "/monitor/asynchExpLog/",
        query: { dataType: dt },
      })
    },
    handleExports() {
      if (this.queryParams.exportFlag) {
        let arr = [];
        for (let i = 0; i < this.showColumnArr.length; i++) {
          const element = this.showColumnArr[i];
          let zbc = element.flag;
          if (zbc) {
            arr = [...arr, element.code];
          }
        }
        let arr2 = [];
        if (this.patentDataList2.length > 0) {
          this.patentDataList2.forEach((item) => {
            arr2.push(item);
          });
        } else {
          this.dPatentDataCollationInfoList.forEach((item) => {
            arr2.push(item);
          });
        }
        // this.queryParams.pageSize = 5000
        // let paList = JSON.stringify()
        this.download(
          "adjust/dPatentDataCollationInfo/export",
          {
            ...this.queryParams,
            expFields: arr.join(","),
            patentData: JSON.stringify(arr2),
            // ...this.queryParams,expFields:arr.join(','),patentDataList:arr2
          },
          `专利数据整理_${new Date().getTime()}.xlsx`
        );
      } else {
        this.adjaddressb = true;
      }
    },
    /** 导出按钮操作 */
    handleSyncExport() {
      let obs = /^[1-9]\d*$/;
      if (this.exportNumBegin == null) {
        this.$message("开始条数不能为空");
      } else if (this.exportNumEnd == null) {
        this.$message("结束条数不能为空");
      } else if (!obs.test(this.exportNumBegin)) {
        this.$message("请输入不小于0的数字且为整数");
      } else if (!obs.test(this.exportNumEnd)) {
        this.$message("请输入不小于0的数字且为整数");
      }
      // else if((this.exportNumEnd-this.exportNumBegin)>10000){
      //   this.$message("条数不能大于10000");
      // }
      else if(Number(this.exportNumBegin)>Number(this.exportNumEnd)){
        this.$message("开始条数不能大于结束条数");
      } else {
        let arr = [];
        for (let i = 0; i < this.showColumnArr.length; i++) {
          const element = this.showColumnArr[i];
          let zbc = element.flag;
          if (zbc) {
            arr = [...arr, element.code];
          }
        }
        let arr2 = [];
        if (this.patentDataList2.length > 0) {
          this.patentDataList2.forEach((item) => {
            arr2.push(item);
          });
        } else {
          this.dPatentDataCollationInfoList.forEach((item) => {
            arr2.push(item);
          });
        }
        // this.queryParams.pageSize = 5000
        // let paList = JSON.stringify()
        this.loading=true;
        syncExport({
          ...this.queryParams,
          expFields: arr.join(","),
          patentData: JSON.stringify(arr2),
          exportNumBegin: this.exportNumBegin,
          exportNumEnd: this.exportNumEnd,
          // ...this.queryParams,expFields:arr.join(','),patentDataList:arr2
        }).then((response) => {
          this.loading=false;
          this.$modal.msgSuccess("系统已接收，请稍后从'异步导出管理'中下载");
          this.open = false;
          this.getList();
        },err=>{
          this.loading=false;
          this.open = true;
          console.log('来这里了。。。。')
          //this.$modal.msgError('导出失败,'+err);
        });
        // this.download(
        //   "adjust/dPatentDataCollationInfo/export",
        //   {
        //     ...this.queryParams,
        //     expFields: arr.join(","),
        //     patentData: JSON.stringify(arr2),
        //     exportNumBegin: this.exportNumBegin,
        //     exportNumEnd: this.exportNumEnd,
        //     // ...this.queryParams,expFields:arr.join(','),patentDataList:arr2
        //   },
        //   `专利数据整理_${new Date().getTime()}.xlsx`
        // );
        this.adjaddressb = false
      }
    },

    /** 导出按钮操作 */
    handleExport() {
      let obs = /^[1-9]\d*$/;
      if (this.exportNumBegin == null) {
        this.$message("开始条数不能为空");
      } else if (this.exportNumEnd == null) {
        this.$message("结束条数不能为空");
      } else if (!obs.test(this.exportNumBegin)) {
        this.$message("请输入不小于0的数字且为整数");
      } else if (!obs.test(this.exportNumEnd)) {
        this.$message("请输入不小于0的数字且为整数");
      } else if((this.exportNumEnd-this.exportNumBegin)>10000){
        this.$message("条数不能大于10000");
      } else if(Number(this.exportNumBegin)>Number(this.exportNumEnd)){
        this.$message("开始条数不能大于结束条数");
      } else {
        let arr = [];
        for (let i = 0; i < this.showColumnArr.length; i++) {
          const element = this.showColumnArr[i];
          let zbc = element.flag;
          if (zbc) {
            arr = [...arr, element.code];
          }
        }
        let arr2 = [];
        if (this.patentDataList2.length > 0) {
          this.patentDataList2.forEach((item) => {
            arr2.push(item);
          });
        } else {
          this.dPatentDataCollationInfoList.forEach((item) => {
            arr2.push(item);
          });
        }
        // this.queryParams.pageSize = 5000
        // let paList = JSON.stringify()
        this.download(
          "adjust/dPatentDataCollationInfo/export",
          {
            ...this.queryParams,
            expFields: arr.join(","),
            patentData: JSON.stringify(arr2),
            exportNumBegin: this.exportNumBegin,
            exportNumEnd: this.exportNumEnd,
            // ...this.queryParams,expFields:arr.join(','),patentDataList:arr2
          },
          `专利数据整理_${new Date().getTime()}.xlsx`
        );
          this.adjaddressb = false
      }
    },
  },
};
</script>

<style lang="scss" scoped>
.blue-button {
  background-color: #81C260;
}
.route-view-container[data-v-02b43ddf] {
  padding: 0;
}

body .el-form .el-form-item,
body .app-container .el-form .el-form-item {
  margin-bottom: 10px !important;
}

::v-deep .el-input__inner {
  padding: 0 15px;
}

::v-deep .el-input__prefix {
  right: 5px;
  left: unset;
}

.patentData-collection {
  padding: 20px 20px 60px 20px;

  .header-patentDataCollection {
    margin-bottom: 20px;

    span {
      margin-left: 10px;
      color: #999999;
      font-size: 14px;
    }
  }

  .derived-list {
    height: 40px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: #f8f8f8;
    padding: 0 10px 0 20px;
    margin: 20px 0;

    div {
      display: flex;

      span {
        color: #616161;
        font-size: 14px;
        margin-left: 5px;
      }
    }
  }
}

.yourForm {
  .el-input {
    width: 100%;
  }

  .el-textarea {
    width: 200px;
  }

  .el-select {
    width: 100%;
  }
}

.formItem {
  margin-right: 50px;
}

@media screen and (max-width: 1600px) {
  .formItem {
    margin-right: 20px;
  }
}

::v-deep .el-dialog__body {
  padding: 30px 0 30px 0;
}

.wenzi {
  overflow: hidden !important;
  text-overflow: ellipsis !important;
  white-space: nowrap !important;
}

.derived-list {
  height: 40px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: #f8f8f8;
  padding: 0 10px 0 20px;
  margin: 20px 0;

  div {
    span {
      color: #616161;
      font-size: 14px;
      margin-left: 5px;
    }
  }
}
.el-form-item--medium .el-form-item__content .el-input {
  width: 300px !important;
}
.dia {
  text-align: center;
  margin-bottom: 10px;
  font-weight: 600;
}
</style>
